#import "HiBuglyPlugin.h"
#import <Bugly/Bugly.h>

@implementation HiBuglyPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    FlutterMethodChannel* channel = [FlutterMethodChannel
                                     methodChannelWithName:@"hi_bugly"
                                     binaryMessenger:[registrar messenger]];
    HiBuglyPlugin* instance = [[HiBuglyPlugin alloc] init];
    [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"initialize" isEqualToString:call.method]) {
      NSString *appID = call.arguments[@"appID"];
      BOOL debug = call.arguments[@"debug"];
      BuglyConfig *config = [[BuglyConfig alloc] init];
      config.debugMode = debug;
      [Bugly startWithAppId:appID config: config];
      result([NSNumber numberWithBool:YES]);
  } else {
      result(FlutterMethodNotImplemented);
  }
}

@end
